@import "src/styles/variables";
@import "src/styles/btn";

$timeline-list-spacing: 24px;

.timeline-list {
  &__post-container {
    margin: $timeline-list-spacing 0;
    background: $color-grey-lighter;
    border: 1px solid $color-grey-light;
    border-radius: 4px;
  }

  &__row {
    display: flex;
    flex-direction: column;
    padding: $timeline-list-spacing / 2;
  }

  &__user {
    color: $color-blue;
    font-weight: bold;
    margin: 0;
  }

  &__date-row {
    font-style: italic;
    font-size: $font-size-s;
  }

  &__content {
    padding: $timeline-list-spacing / 2 0;
    margin: 0;
  }

  &__icons {
    position: absolute;
    top: 10px;
    right: 10px;
  }

  &__icon {
    margin-right: 6px;
    cursor: pointer;
  }

  &__text-area {
    resize: none;
    width: 100%;
    min-height: 80px;
  }

  &__buttons {
    display: flex;
    justify-content: flex-end;
    margin-top: $timeline-list-spacing / 2;
  }
}

.material-icons {
  font-size: 18px;
}
